Subject: bug#37819: [PATCH] Make 'load-dangerous-libraries' obsolete

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 19 Oct 2019 10:33:40 +0200

Eli Zaretskii <[email-masked]> writes:

>> I suspect that 'load-dangerous-libraries' is largely irrelevant
>> nowadays.  Is this correct?  If yes, here is a patch which would
>> ignore it and declare it obsolete.
>
> What is the purpose of declaring this obsolete?  I'd argue we should
> keep this "forever", since it can never do any harm, and sometimes
> might do an important job.

The patch just makes Emacs refuse to load .elc files compiled by XEmacs
permanently, so it looks like the right thing to me.  But perhaps for
Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no